Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Gentoo Desktop (http://www.linux-archive.org/gentoo-desktop/)
-   -   kde-sunset: avahi-0.6.30-r1 Failed Running automake (http://www.linux-archive.org/gentoo-desktop/622672-kde-sunset-avahi-0-6-30-r1-failed-running-automake.html)

Dominique Michel 01-19-2012 09:28 AM

kde-sunset: avahi-0.6.30-r1 Failed Running automake
 
When merging avahi-0.6.30-r1 from kde-sunset, I get the following error:

* Running automake --add-missing --copy
--foreign ... [ !! ]

cat /var/tmp/portage/net-dns/avahi-0.6.30-r1/temp/automake.out
***** automake *****
***** PWD: /var/tmp/portage/net-dns/avahi-0.6.30-r1/work/avahi-0.6.30
***** automake --add-missing --copy --foreign

configure.ac:143: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call
detected in body ../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is
expanded from... ../../lib/autoconf/general.m4:2591: _AC_COMPILE_IFELSE
is expanded from... ../../lib/autoconf/general.m4:2607:
AC_COMPILE_IFELSE is expanded from... ../../lib/m4sugar/m4sh.m4:606:
AS_IF is expanded from... ../../lib/autoconf/general.m4:2032:
AC_CACHE_VAL is expanded from... ../../lib/autoconf/general.m4:2053:
AC_CACHE_CHECK is expanded from... configure.ac:143: the top level
configure.ac:300: warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call
detected in body ../../lib/autoconf/lang.m4:194: AC_LANG_CONFTEST is
expanded from... configure.ac:300: the top level
service-type-database/Makefile.am:21: `pkglibdir' is not a legitimate
directory for `DATA'

# emerge -pqv =net-dns/avahi-0.6.30-r1
[ebuild UD] net-dns/avahi-0.6.30-r1 [0.6.30-r3] USE="autoipd dbus
gdbm gtk gtk3 introspection ipv6 mdnsresponder-compat python qt3%*
-bookmarks -doc -howl-compat -mono -qt4 -test -utils"

It is on an ~amd64 system. Output of emerge --info
=net-dns/avahi-0.6.30-r1
http://pastebin.com/mzwZASrb

Ciao,
Dominique

--
"We have the heroes we deserve."

Dominique Michel 01-19-2012 10:05 AM

kde-sunset: avahi-0.6.30-r1 Failed Running automake
 
Le Thu, 19 Jan 2012 11:28:48 +0100,
Dominique Michel <dominique.michel@vtxnet.ch> a écrit :

> When merging avahi-0.6.30-r1 from kde-sunset, I get the following
> error:
>
> * Running automake --add-missing --copy
> --foreign ... [ !! ]

OK, I get it to work by applying the changes from
avahi-0.6.30-r3 portage ebuild. The joined file is a diff of the
changes.

Ciao,
Dominique

--
"We have the heroes we deserve."


All times are GMT. The time now is 02:45 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.